<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db2.TaskTypeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db2.TaskType">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="trigger_desc" property="triggerDesc" />
        <result column="name" property="name" />
        <result column="type" property="type" />
        <result column="details" property="details" />
        <result column="point" property="point" />
        <result column="subpoint" property="subpoint" />
        <result column="point_status" property="pointStatus" />
        <result column="sort" property="sort" />
        <result column="status" property="status" />
        <result column="expire_type" property="expireType" />
        <result column="pool_order" property="poolOrder" />
        <result column="group_order" property="groupOrder" />
        <result column="task_order" property="taskOrder" />
        <result column="notice_flag" property="noticeFlag" />
        <result column="task_flag" property="taskFlag" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, soft_delete, trigger_desc, name, type, details, point, subpoint, point_status, sort, status, expire_type, pool_order, group_order, task_order, notice_flag, task_flag
    </sql>

</mapper>
